> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udrow.md).

# New-UDRow

New-UDRow crea un contenitore di riga di griglia in PowerShell Universal per disporre le colonne affiancate, incapsulando New-UDGrid con l'opzione Container.

### Sinossi

Crea una nuova riga per una griglia.

### Sintassi

```powershell
New-UDRow [-Id <String>] [[-Columns] <ScriptBlock>] [-Style <Hashtable>] [<CommonParameters>]
```

### Descrizione

Crea una nuova riga per una griglia. Questo è un wrapper per New-UDGrid -Container.

### Parametri

#### -Id

L'ID della riga.

```
Required?                    false
Position?                    named
Default value                ([Guid]::NewGuid())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Columns

Le colonne da includere nella riga.

```
Required?                    false
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Lo stile della riga.

```
Required?                    false
Position?                    named
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Parametri comuni

Questo cmdlet supporta i parametri comuni: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable e OutVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

### Esempi

#### Esempio 1: riga di base

```powershell
New-UDRow -Columns {
    New-UDColumn -SmallSize 6 -Content {
        "Column 1"
    }
    New-UDColumn -SmallSize 6 -Content {
        "Column 2"
    }
}
```

Crea una nuova riga con due colonne, ciascuna delle quali occupa metà della larghezza sugli schermi piccoli.

#### Esempio 2: stile della riga

```powershell
New-UDRow -Id "myRow" -Columns {
    New-UDColumn -SmallSize 4 -Content {
        "Column 1"
    }
    New-UDColumn -SmallSize 4 -Content {
        "Column 2"
    }
} -Style @{ backgroundColor = "#f0f0f0" }
```

Crea una nuova riga con due colonne, ciascuna delle quali occupa un terzo della larghezza sugli schermi piccoli, e applica alla riga uno stile con colore di sfondo.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udrow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
